Package Details: phpmd 2.7.0-1

Git Clone URL: https://aur.archlinux.org/phpmd.git (read-only)
Package Base: phpmd
Description: Takes a given PHP source code base and look for several potential problems within that source.
Upstream URL: http://phpmd.org/
Licenses: BSD
Submitter: jojosch
Maintainer: sanduhrs
Last Packager: sanduhrs
Votes: 17
Popularity: 0.000289
First Submitted: 2014-07-27 17:33
Last Updated: 2019-09-30 11:19

Dependencies (1)

Required by (0)

Sources (2)

Latest Comments

Kage-Yami commented on 2019-05-05 07:56

Looks like the package has been orphaned by upstream (as per their GitHub repository), and the website is no longer operational.

sanduhrs commented on 2015-09-28 09:27

Latest version is 2.3.2

jojosch commented on 2014-11-09 13:59

@ChrisDennis i added a check to the installation script to ensure that phar is enabled.

ChrisDennis commented on 2014-11-09 13:55

@jojosch Thanks for your quick reply -- yes, that was the problem.

jojosch commented on 2014-11-09 13:49

@ChrisDennis can you check in your php.ini if the following line is commented out?

extension=phar.so

(you can check if phar is enabled with "php -i | grep Phar")

ChrisDennis commented on 2014-11-09 12:17

I've just install phpmd, and it gives:
PHP Fatal error: Class 'Phar' not found in /usr/share/webapps/bin/phpmd.phar on line 8
on anything I try to do with.
Missing dependencies perhaps?